Bug 127861 - vmware fc3t1 errors w/ kernel panic
vmware fc3t1 errors w/ kernel panic
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Barr
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 15:50 EDT by Jim Cornette
Modified: 2008-01-25 14:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-21 08:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vmware v 4.5.2 build-8848 (64.54 KB, image/jpeg)
2004-07-14 15:52 EDT, Jim Cornette
no flags Details
this is dmesg output (10.83 KB, text/plain)
2004-07-16 15:34 EDT, Jim Cornette
no flags Details
More dmesg output (10.83 KB, text/plain)
2004-07-16 15:35 EDT, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2004-07-14 15:50:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After completing an upgrade of a working FC2 system to the FC3t1 
system, I recieved a kernel panic. grub started to load, then gave 
the error indicated below.

Testing in rescue mode worked for the FC2 rescue CD. The FC3T1 rescue 
showed the attached error in jpg.

I think that some basic portion of identifying devices is missing 
from either the kernel, intird image or device labeling.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade from FC2 to FC3T1
2. Finish installation
3.reboot
    

Actual Results:  grub loads and presents choices. Kernel starts to 
load, then kernel panics.

Expected Results:  I expected a working operating system. The system 
worked with similar settings for FC2. The grub.conf was the 
same,except for different kernels.

Additional info:
Comment 1 Jim Cornette 2004-07-14 15:52:52 EDT
Created attachment 101917 [details]
vmware v 4.5.2 build-8848

this output was trying to enter rescue mode with FC3T1 installation disk
Comment 2 Phil Schaffner 2004-07-15 11:21:59 EDT
My upgrade of a VMware 4.5.2 FC2+some-rawhide-packages VM (yeah, I
know - want to test upgrades from a release, but this is the one I had
hanging around) to FC3T1 worked fine.  Possible difference is that I'm
running on a FC2 host with vmware-any-any-update73 from
http://ftp.cvut.cz/vmware/ (I see 75 is there now).  Couldn't tell
from the screenshot what host OS was used (Windows? Different window
manager?  Doesn't look quite like mine on FC2/KDE.), but could make a
difference.
Comment 3 Jim Cornette 2004-07-15 17:41:14 EDT
The host was XP. I have not tried out Linux as host. The machine has
video problems "845" video. (640 x 480 resolution)
I'm trying to get past those problems before switching host / guest
from win to lin.

As additionional information to the problem. I was running a kernel
that ended with .308 on the FC2 VMware virtual machine. I upgraded and
the machine went through the install slowly, but successfully. After
kernel started to load, it crashed with a similar error provided in
the attached jpg. The error was no id found. 

I am wondering if the 8k to 4k stack problem could be causing the
kernel panic.

I take that the kernel used for anaconda installer and for going into
rescue mode are different. If the are not different, the processes
between the installer and rescue mode are where the crashing occurs.

I'll try to add an FC2 era kernel in rescue mode to the vmware FC3T1
machine and see if this will boot. 

Thanks!
Comment 4 Jim Cornette 2004-07-16 15:34:22 EDT
Created attachment 101979 [details]
this is dmesg output

also, I caught a screenshot of the chroot system and will type what the text
stated when trying to telinit to level 3. The image was too large and pretty
short to type.
telinit 3
telinit: timeout opening/writing control channel /dev/initctl
Comment 5 Jim Cornette 2004-07-16 15:35:52 EDT
Created attachment 101980 [details]
More dmesg output
Comment 6 Jim Cornette 2004-07-16 15:40:38 EDT
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host 
bridge (rev 01)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP 
bridge (rev 01)
00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 08)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 08)
00:0f.0 VGA compatible controller: VMWare Inc [VMWare SVGA II] PCI 
Display Adapter
00:10.0 SCSI storage controller: BusLogic BT-946C (BA80C30) 
[MultiMaster 10] (rev 01)
00:11.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 
[PCnet32 LANCE] (rev 10)
00:12.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] 
(rev 02)
Comment 7 Jim Cornette 2004-07-21 08:18:51 EDT
After getting FC3T1 to successfully install on this machine, without a
kernel panic. Then after downloading and installing the rpm version of
vmware on the new platform, typing in the serial number from the
purchaced windows version. I ended up getting an error with not being
able to use the software as reversed from a windows host > FC3T1 guest
to the opposite FC3T1 host > windows guests. I think my impression
regarding non-versatile and purposfully encumbered software is not a
Fedora problem.
I expected versatility instead of encumberment.

In  short, I'm closing this bug as not a concern of mine. The problem
is upstream with the virtual host developer.
Comment 8 David Lawrence 2008-01-25 14:37:53 EST
Comment on attachment 101980 [details]
More dmesg output

lspci:

00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev
01)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 01)
00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 08)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 08)
00:0f.0 VGA compatible controller: VMWare Inc [VMWare SVGA II] PCI Display
Adapter
00:10.0 SCSI storage controller: BusLogic BT-946C (BA80C30) [MultiMaster 10]
(rev 01)
00:11.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet32
LANCE] (rev 10)
00:12.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 02)

Note You need to log in before you can comment on or make changes to this bug.